<?php

// Color option
Redux::setSection('applic_opt', array(
    'title' => esc_html__('Colors', 'applic'),
    'id' => 'color',
    'icon' => 'dashicons dashicons-admin-appearance',
    'fields' => array(
        array(
            'id' => 'accent-color',
            'title' => esc_html__('Accent color', 'applic'),
            'subtitle' => esc_html__('Pick the color scheme for the whole website (default: #5368fd)', 'applic'),
            'type' => 'color',
            'output' => array(
                'color' => '
                    .is-sticky ul#nav li > a:hover,
                    .is-sticky ul#nav li ul li > a:hover,
                    .is-sticky ul#nav li.active > a,
                    .is-sticky ul#nav li.hover > a,
                    .is-sticky ul#nav li.current-menu-parent > a,
                    .is-sticky ul#nav li.current-menu-item > a,
                    ul#nav li ul a:hover,
                    .header-call-to-action .action-button:hover,
                    .header-call-to-action .search-button:hover,
                    .scrolltotop:hover, .scrolltotop:focus,
                    .post-social-share-and-like-count .like-count a,
                    .single-post-item .post-top-meta .post-author a:hover, .single-post-item h2 a:hover,
                    .single-post-item .meta-comment-tag ul li a:hover,
                    .first_letter .post-details > p:first-of-type::first-letter,
                    .post-date-and-category ul li a:hover,
                    .post-video-popup:hover,
                    .quote-post-author a:hover,
                    .post-tags li a:hover,
                    .post-share ul li a:hover,
                    .next-post a:hover span, .prev-post a:hover span,
                    .prev-post .arrow-link, .next-post .arrow-link,
                    .single-post-navigation-center-grid:hover a,
                    .writen-by,
                    .comment-meta .comment-date,
                    .logged-in-as a:hover,
                    .comment-form input[type="submit"]:hover,
                    .widget_post_with_thumb li a:hover,
                    .widget_categories ul li a:hover,
                    .widget_archive li a:hover,
                    .recentcomments a:hover,
                    .widget_meta ul li a:hover,
                    .widget_nav_menu ul li a:hover,
                    .widget_pages ul li a:hover,
                    .wp-block-quote cite:hover,
                    .single-widgets .search-form button:hover,
                    span.product-category > a,
                    .product-price .discount-price,
                    .product-category
				    ',
                'background' => '
                   .header-call-to-action .action-button,
                   .header-call-to-action .search-button,
                   .post-social-share-and-like-count .like-count a:hover,
                   .post-social-share-and-like-count ul li a:hover,
                   .single-post-item .post-details::after,
                   .format-gallery .owl-carousel .owl-nav > div:hover,
                   .post-pagination .page-numbers:hover, .post-pagination .nav-links .current,
                   .post-video-popup,
                   .post-quote,
                   .comment-reply a:hover,
                   .comment-form input[type="submit"],
                   .widget_post_share li a:hover,
                   .single-widgets .search-form button,
                   .widget_tag_cloud a:hover,
                   .product-speacification-menu > li a:hover,
                   .product-speacification-menu > li.active a,
                   .product-speacification-menu > li a:focus,
                   .quantity span:hover,
                   .quantity span:hover,
                   .products-pagination ul li a:hover,
                   .products-pagination ul li .current
				    ',
                'border-color' => '
                    .post-social-share-and-like-count .like-count a:hover,
                    .post-pagination .page-numbers:hover, .post-pagination .nav-links .current,
                    .comment-reply a:hover,
                    .widget_post_share li a:hover,
                    .comment-form input:focus, .comment-form textarea:focus,
                    .widget_tag_cloud a:hover,
                    .product-speacification-menu > li a:hover,
                    .product-speacification-menu > li.active a,
                    .product-speacification-menu > li a:focus
                    
                    '
            ),
        ),
        array(
            'id' => 'accent_gradient',
            'type' => 'color_gradient',
            'title' => esc_html__('Accent gradient color', 'applic'),
        ),
    )
));